<template>
  <div id="app">
    <b-row>
      <b-col cols="12" class="text-center">
        <img src="@/assets/logo.png" alt="iGP Logo" class="logo-img mb-4" />
      </b-col>
    </b-row>

    <Transition name="slide-fade">
      <router-view />
    </Transition>
  </div>
</template>
<script setup></script>

<style>
.logo-img {
  max-width: 15vh;
  height: auto;
  margin-top: 3vh;
}

.slide-fade-enter-active {
  transition: all 0.5s ease-out;
}

.slide-fade-leave-active {
  transition: all 1s cubic-bezier(1, 0.5, 0.8, 1);
}

.slide-fade-enter-from,
.slide-fade-leave-to {
  transform: translateX(30px);
  opacity: 0;
}
</style>
